﻿using System;
using System.Data.SQLite;
using GmaWebService.Code.Helper;

namespace GmaWebService.Code
{
    internal class Query : IDisposable
    {
        SQLiteConnection db;
        SQLiteCommand cmd;
        public SQLiteDataReader Reader
        {
            get;
            private set;
        }

        public Query(string databasePath, string query)
        {
            db = new SQLiteConnection(DatabaseHelperMethods.SQLiteConnStr(databasePath));
            cmd = db.CreateCommand();
            cmd.CommandText = query;
            Reader = cmd.ExecuteReader();
        }

        public void Dispose()
        {
            Reader.Close();
            Reader.Dispose();
            cmd.Dispose();
            db.Close();
            db.Dispose();
        }
    }
}
